Car_Seat_Cover_Configurator-Laravel/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('privacy_policy', function () {
    return view('pages.privacy.privacy_policy');
});

Route::get('/view-my-configuration/{id}', 'Main\ViewConfigurationController@view');
Route::get('/view-my-em-configuration/{id}', 'Main\ViewConfigurationController@viewEmbroideryOrder');

Auth::routes();
Route::get('/unverified', 'HomeController@unverified')->name('unverified');

Route::middleware(['auth', 'verified'])->group(function () {
    Route::get('/import/brands', 'ImportController@import_brands');
    Route::get('/import/cars', 'ImportController@import_cars');
    Route::get('/view/cars', 'ImportController@view_cars');
    Route::get('/rename/duplicates', 'ImportController@rename_duplicates');
    Route::get('/remove/duplicates', 'ImportController@remove_duplicates');
    Route::get('/import/years_layouts', 'ImportController@import_years_layouts');
    Route::get('/import/trigger_brands', 'ImportController@trigger_brands');
    Route::get('/import/trigger_cars', 'ImportController@trigger_cars');
    Route::get('/import/trigger_years_layouts', 'ImportController@trigger_years_layouts');
    Route::get('/import/trigger_layout_images', 'ImportController@trigger_layout_images');
    Route::get('/home', 'HomeController@index')->name('home');
    Route::get('/passport', 'Api\ApiController@index')->name('api');
    Route::get('/orders', 'Main\OrderController@orders')->name('orders');
    Route::get('/orders/{id}', 'Main\OrderController@order');
    Route::get('/configurations', 'Main\ConfigurationController@configurations')->name('configurations');

    //uae
    Route::get('/view_all_layouts', 'Main\WellfitLayoutController@index');
    Route::get('/view_all_car_models', 'Main\WellfitLayoutController@carModels');

    Route::resource('users', 'Main\UserController');

    Route::match(['put', 'patch'], '/quick_car_model_edit','Main\WellfitLayoutController@updateCarModel');
    Route::match(['put', 'patch'], '/change_password/{id}','Main\UserController@change_password');


    Route::post('/logout_all', 'Main\UserController@logoutAll');


    Route::resource('manufacturers', 'Data\ManufacturerController');
    Route::resource('manufacturers.cars', 'Data\CarController');
    Route::resource('cars', 'Data\CarController');
    Route::resource('cars.models', 'Data\CarModelController');
    Route::resource('models', 'Data\CarModelController');
    Route::resource('models.seats', 'Data\SeatController');
    Route::resource('seats', 'Data\SeatController');
    Route::resource('models.layouts', 'Data\LayoutController');
    Route::resource('layouts', 'Data\LayoutController');
    Route::resource('layout_image', 'Data\LayoutImageController');
    Route::resource('layout_design', 'Data\LayoutDesignController');
    Route::resource('seats.configuration', 'Main\ConfigurationController');
    Route::resource('seats.base', 'Configuration\BaseController');
    Route::resource('seats.original_image', 'Configuration\OriginalImageController');
    Route::resource('seats.layer', 'Configuration\LayerController');
    Route::resource('layer', 'Configuration\LayerController');
    Route::resource('layer.variant', 'Configuration\VariantController');
    Route::resource('variant', 'Configuration\VariantController');
    Route::resource('materials', 'Data\MaterialController');
    Route::resource('colour_categories', 'Data\ColourCategoryController');
    Route::resource('companies', 'Data\CompanyController');
    Route::resource('colour_categories.colours', 'Data\ColourController');
    Route::resource('colours', 'Data\ColourController');
    Route::resource('gallery_categories', 'Data\GalleryCategoryController');
    Route::resource('gallery_categories.galleries', 'Data\GalleryController');
    Route::resource('galleries', 'Data\GalleryController');
    Route::resource('patterns', 'Data\PatternController');


    Route::post('/car_model_layouts', 'Data\GalleryController@carModelLayouts');
    Route::post('/car_brand_models', 'Data\GalleryController@carBrandModels');

    Route::get('/embroidery_orders', 'Main\OrderController@embroideryOrders')->name('embroidery_orders');
    Route::get('/embroidery_orders/{id}', 'Main\OrderController@embroideryOrder');



    Route::resource('seats.seat_photos', 'Data\SeatPhotoController');

    Route::resource('price_ranges', 'Data\PriceRangeController');

    Route::post('/models/{id}/seats/existing', 'Data\SeatController@storeExisting');

    Route::delete('/delete_seats/{id}/', 'Data\SeatController@deleteSeat');

    Route::match(['put', 'patch'], '/orders/update/{id}','Main\OrderController@update');
    Route::match(['put', 'patch'], '/embroidery_orders/update/{id}','Main\OrderController@updateEmbroidery');




    Route::get('/import_car_model_year', 'ImportController@import_car_model_year');
    Route::get('/import_seat_layout', 'ImportController@import_seat_layout');
    Route::get('/check_image_path', 'ImportController@check_image_path');
    Route::get('/check_image_path_order', 'ImportController@check_image_path_order');
    Route::get('/layout_price', 'ImportController@layout_price');




  // New Import UAE
Route::get('/trigger_brands', 'NewImportController@trigger_brands');
Route::get('/trigger_cars', 'NewImportController@trigger_cars');
Route::get('/trigger_car_models', 'NewImportController@trigger_car_models');
Route::get('/trigger_layouts', 'NewImportController@trigger_layouts');
Route::get('/trigger_layout_images', 'NewImportController@trigger_layout_images');
Route::get('/testing_query', 'NewImportController@testing_query');

});

Car_Seat_Cover_Configurator-Laravel/app/Http/Controllers/Main/UserController.php
<?php

namespace App\Http\Controllers\Main;

use App\Models\Company;
use App\Models\UserRole;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Validator;

class UserController extends Controller
{

    public function index(Request $request)
    {
        if(!auth()->user()->hasRole('wellfit_admin') && !auth()->user()->hasRole('yaco_admin')) return view('pages.errors.no_permission');
        $users = User::query();
        if(auth()->user()->company !="ALL") $users = $users->where('company', auth()->user()->company);
        $users = $users->paginate(100);


        return view('pages.users.partials.list',compact('users'));
    }

    public function create()
    {
        if(!auth()->user()->hasRole('wellfit_admin') && !auth()->user()->hasRole('yaco_admin')) return view('pages.errors.no_permission');

        $companies = Company::latest()->get();
        return view('pages.users.partials.add-user', compact('companies'));
    }

    public function store(Request $request)
    {

        Validator::make($request->all(), [
            'name' => 'required',
            'email' => 'required|email|unique:users',
            'password' => 'required|min:6',
            'companies' => 'required',
        ])->validate();

        if(!empty($request->layout_companies))
        {
            $companies="";
            foreach ($request->layout_companies as $company)
            {
                $companies = $companies.$company.",";
            }
            $companies = rtrim($companies, ",");
        }
        else
        {
            $companies=null;
        }

        $user = new User();
        $user->name =  $request->name;
        $user->email =  $request->email;
        $user->contact =  $request->contact;
        $user->status =  $request->status;
        $user->verified =  $request->verified;
        $user->company =  $request->company;
        $user->role =  $request->role;
        $user->password =  Hash::make($request->password);
        $user->user_id =  auth()->id();
        $user->save();

        $user_role = new UserRole();
        $user_role->companies = $companies;
        $user_role->user_id = $user->id;
        if($request->view_stock)$user_role->view_stock = 1; else $user_role->view_stock = 0;
        if($request->view_reserved_stock)$user_role->view_reserved_stock = 1; else $user_role->view_reserved_stock = 0;
        if($request->view_price)$user_role->view_price = 1; else $user_role->view_price = 0;
        if($request->view_configuration)$user_role->view_configuration = 1; else $user_role->view_configuration = 0;
        if($request->can_view_report)$user_role->can_view_report = 1; else $user_role->can_view_report = 0;
        if($request->can_view_report_stock)$user_role->can_view_report_stock = 1; else $user_role->can_view_report_stock = 0;
        $user_role->save();

        $sync_data = [];

        for($i = 0; $i < count($request->companies); $i++)
        {
            if(isset($request->companies[$i]['id'])) $sync_data[$request->companies[$i]['id']] = ['areas' => $request->companies[$i]['areas']];

        }
        $user->companies()->attach($sync_data);
        return redirect('users')->with('status', 'User Added');
    }

    public function edit($id)
    {
        if(!auth()->user()->hasRole('wellfit_admin') && !auth()->user()->hasRole('yaco_admin')) return view('pages.errors.no_permission');
        if(auth()->user()->company !="ALL")
        {
            $user =  User::where('company', auth()->user()->company)->where('id',$id)->first();
            if(!$user) return view('pages.errors.no_permission');
        }
        else
        {
            $user = User::findOrFail($id);
        }
        $assignedCompanies  = $user->companies->pluck('id')->toArray();
        $assignedCompaniesAreas = Company::get()->map(function($company) use ($user) {
            $company->areas = data_get($user->companies->firstWhere('id', $company->id), 'pivot.areas') ?? null;
            return $company;
        });

        $companies = Company::latest()->get();
        return view('pages.users.partials.edit-user',compact('user', 'assignedCompanies', 'companies', 'assignedCompaniesAreas'));
    }

    public function show($id)
    {
        if(!auth()->user()->hasRole('wellfit_admin') && !auth()->user()->hasRole('yaco_admin')) return view('pages.errors.no_permission');
        if(auth()->user()->company !="ALL")
        {
            $user =  User::where('company', auth()->user()->company)->where('id',$id)->first();
            if(!$user) return view('pages.errors.no_permission');
        }
        else
        {
            $user = User::findOrFail($id);
        }


        return view('pages.users.partials.view',compact('user'));

    }

    public function update(Request $request, $id)
    {
        $user= User::find($id);

        Validator::make($request->all(), [
            'name' => 'required',
            'email' => 'required|email|unique:users,email,'.$user->id,
            'companies' => 'required',
        ])->validate();

        if(!empty($request->layout_companies))
        {
            $companies="";
            foreach ($request->layout_companies as $company)
            {
                $companies = $companies.$company.",";
            }
            $companies = rtrim($companies, ",");
        }
        else
        {
            $companies=null;
        }


        $user =  User::findOrFail($id);
        $user->name =  $request->name;
        $user->email =  $request->email;
        $user->contact =  $request->contact;
        $user->status =  $request->status;
        $user->verified =  $request->verified;
        $user->company =  $request->company;
        $user->role =  $request->role;
        $user->user_id =  auth()->id();
        $user->save();

        $user_role = $user->user_role;
        $user_role->companies = $companies;
        if($request->view_stock)$user_role->view_stock = 1; else $user_role->view_stock = 0;
        if($request->view_reserved_stock)$user_role->view_reserved_stock = 1; else $user_role->view_reserved_stock = 0;
        if($request->view_price)$user_role->view_price = 1; else $user_role->view_price = 0;
        if($request->view_configuration)$user_role->view_configuration = 1; else $user_role->view_configuration = 0;
        if($request->can_view_report)$user_role->can_view_report = 1; else $user_role->can_view_report = 0;
        if($request->can_view_report_stock)$user_role->can_view_report_stock = 1; else $user_role->can_view_report_stock = 0;
        if($request->default_company)$user_role->default_company = $request->default_company; else $user_role->default_company = null;
        $user_role->save();
        $sync_data = [];

        for($i = 0; $i < count($request->companies); $i++)
        {
            if(isset($request->companies[$i]['id'])) $sync_data[$request->companies[$i]['id']] = ['areas' => $request->companies[$i]['areas']];

        }
        $user->companies()->sync($sync_data);

        return redirect('users')->with('status', 'User Updated');
        //return view('pages.orders.view',compact('order'));
    }




    public function change_password(Request $request, $id)
    {
        Validator::make($request->all(), [
            'password' => 'required|min:6',
        ])->validate();
        $user = User::findOrFail($id);
        $user->password =  Hash::make($request->password);
        $user->save();
        return redirect('users')->with('status', 'User Password Updated');
    }

    public function destroy($id)
    {
        $user= User::find($id);
        $user_role = $user->user_role;
        $user_role->delete();
        $user->delete();
        // redirect
        return redirect('users')->with('status', 'User Deleted!');
    }
    public function logoutAll()
    {
        $users = User::where('id', '!=', Auth::id())->get();
            foreach($users as $user)
            {
                if ($user->AauthAcessToken()) {
                    $user->AauthAcessToken()->delete();
                }
            }
       return redirect('/users')->with('status', 'Logout All Users');
    }
}

Car_Seat_Cover_Configurator-Laravel/resources/views/pages/users/home.blade.php
@extends('layouts.app')
@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <a href="{{url('home')}}">Home </a> >
                        <a href="{{route('users.index')}}">
                            Users
                        </a>
                        <div class="dash-heading">Users</div>
                        <div class="pull-right">
                            @if(auth()->user()->hasRole('wellfit_admin') || auth()->user()->hasRole('yaco_admin'))
                                    <a href="{{route('users.create')}}">
                                        +Add New
                                    </a>
                            @endif

                        </div>
                    </div>

                    <div class="panel-body">
                        @yield('sub-content')
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

Car_Seat_Cover_Configurator-Laravel/resources/views/pages/users/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <a href="{{url('home')}}">Home </a> >
                        <a href="{{url('users')}}">
                            Users
                        </a>
                        <div class="dash-heading">Users</div>
                    </div>

                    <div class="panel-body">
                        <div class="col-md-12">
                            <h2>User Management</h2>
                            @if (session('status'))
                                <div class="alert alert-success">
                                    {{ session('status') }}
                                </div>
                            @endif
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th>SL NO</th>
                                    <th>Name / Shop</th>
                                    <th>Email / Contact</th>
                                    <th>Role</th>
                                    <th>App Login Status</th>
                                    <th>Verification</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($users as $key => $user)
                                    <tr>
                                        <td>{{(($users->currentpage()-1)*$users->perpage())+$key+1}}</td>
                                        <td>{{$user->name}} <br> {{$user->shop_name}}</td>
                                        <td>{{$user->email}} <br> {{$user->contact}}</td>
                                        <td>{{$user->role}}</td>
                                        <td>
                                            @if($user->status == 1)
                                                <button type="button" class="btn btn-success">Active</button>
                                            @else
                                                <button type="button" class="btn btn-danger">In Active</button>
                                            @endif
                                        </td>
                                        <td>
                                            @if($user->verified == 1)
                                                <button type="button" class="btn btn-success">Verified</button>
                                            @else
                                                <button type="button" class="btn btn-danger">Not Verified</button>
                                            @endif
                                        </td>
                                        <td><a href="{{url('users/'.$user->id)}}">Edit Status</a></td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                            {{ $users->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

Car_Seat_Cover_Configurator-Laravel/resources/views/pages/users/view.blade.php
@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <a href="{{url('home')}}">Home </a> >
                        <a href="{{url('users')}}">
                            Users
                        </a>
                        <div class="dash-heading">Users</div>
                    </div>

                    <div class="panel-body">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="row">
                                        @if (session('status'))
                                            <div class="alert alert-success">
                                                {{ session('status') }}
                                            </div>
                                        @endif
                                        @if (count($errors) > 0)
                                            <div class="alert alert-danger">
                                                <ul>
                                                    @foreach ($errors->all() as $error)
                                                        <li>{{ $error }}</li>
                                                    @endforeach
                                                </ul>
                                            </div>
                                        @endif
                                        <div class="col-md-12">
                                            {!! Form::open(array('url' => ['users/update/'.$user->id],'method'=>'PUT','class' => 'form-horizontal','novalidate'=> 'novalidate','files' => true)) !!}

                                            <div class="form-group">
                                                <label for="status" class="col-sm-4 control-label">App Login Status</label>
                                                <div class="col-sm-8">
                                                    <select class="form-control" name="status" required>
                                                        <option value="0" @if($user->status == 0) selected @endif>In Active</option>
                                                        <option value="1" @if($user->status == 1) selected @endif>Active</option>
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label for="status" class="col-sm-4 control-label">Verified</label>
                                                <div class="col-sm-8">
                                                    <select class="form-control" name="verified" required>
                                                        <option value="0" @if($user->verified == 0) selected @endif>Not Verified</option>
                                                        <option value="1" @if($user->verified == 1) selected @endif>Verified</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-offset-2 col-sm-10">
                                                    <button type="submit" class="btn btn-primary pull-right">Update</button>
                                                </div>
                                            </div>
                                            {!! Form::close() !!}
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection